%global revision 297975
%global realname VMware-view-open-client

Name:           vmware-view-open-client
Version:        4.5.0
Release:        %{revision}.6%{?dist}
Summary:        Connects to virtual machines managed by VMware View

#See open_source_licenses.txt for more info
License:        LGPLv2
#Debian source, only version that seems to exist
Source0:        http://http.debian.net/debian/pool/contrib/v/%{name}/%{name}_%{version}-%{revision}+dfsg.orig.tar.gz#http://http.debian.net/debian/pool/contrib/v/vmware-view-open-client/vmware-view-open-client_4.5.0-297975+dfsg.orig.tar.gzhttp://www.eworm.de/download/linux/%{name}-source-%{version}-%{revision}.tar.gz
Patch0:         %{name}-doc-pdf.patch
Patch1:         %{name}-curl-types.patch
Patch2:         %{name}-binutils-gold-x11.patch
Patch3:         %{name}-security.patch

BuildRequires:  intltool
BuildRequires:  boost-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libicu-devel
BuildRequires:  libxml2-devel
BuildRequires:  gcc-c++

%if 0%{?fedora} > 25
BuildRequires:  compat-openssl10-devel
%else
BuildRequires:  openssl-devel
%endif

BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme

Requires:       rdesktop

%description
VMware View Open Client allows users to connect to desktops on a VMware View
Connection Server.

%prep
%autosetup -p1 -n %{name}-%{version}-%{revision}+dfsg
sed -i 's/\r$//' doc/help/*/*

%build
%configure --with-buildtype=release --with-boost-libdir=%{_libdir}
%make_build

%install
%make_install
%find_lang vmware-view

%files -f vmware-view.lang
%{_bindir}/vmware-view*
%{_datadir}/doc/VMware-view-open-client
%{_datadir}/applications/vmware-view.desktop
%{_datadir}/pixmaps/vmware-view.png
%{_mandir}/man1/*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
